/********************************************************
 * Information about a batch (backup stuff)		*
 ********************************************************/
#ifndef __BATCH_INFO_B_H__
#define __BATCH_INFO_B_H__

#include <string>
#include <fstream>

#include "batch_info_c.h"

/********************************************************
 * batch_info_b -- Information about the batch of files	*
 * 	and the functions to backup this information	*
 ********************************************************/
class batch_info_b : public batch_info_c {
    public:
	const std::string batch_file;	// File containing the batch

    public:
	explicit batch_info_b(
	    const std::string i_type,
	    const string_set& i_files,
	    const std::string i_batch_file
	):  batch_info_c(i_type, 0, i_files),
	    batch_file(i_batch_file)
	{}

	virtual ~batch_info_b() {};
	// Copy constructor defaults
	// Assignment operator defaults
    public:
	// Write out the information
	virtual void write(std::ostream& out_file) const = 0;
    protected:
	// Write out the base part of the information
	void write_base(std::ostream& out_file) const;
};

#endif /* __BATCH_INFO_B_H__ */

