/********************************************************
 * p_test -- Test the proc module.			*
 ********************************************************/
#include <fstream>

#include "proc.h"
#include "exception.h"

std::ofstream log_file;	  // File for logging things
bool do_log_option = true;// If set, log things

int main()
{
    try {
	log_file.open("p_test.log");

	int status = do_system("./p_test.sh", 'p');
	std::cout << "Status " << status << std::endl;
    }
    catch (user_error &err) {
	err.print();
    }
    catch (internal_error &err) {
	err.print();
    }
    catch (system_error &err) {
	err.print();
    }
    catch (generic_error &err) {
	std::cerr << "Internal error: Strange error caught" << std::endl;
	err.print();
    }
    
    return (0);
}

