/********************************************************
 * tape_null -- Handle low level tape I/O to /dev/null	*
 ********************************************************/
#ifndef __TAPE_NULL_H__
#define __TAPE_NULL_H__

#include "exception.h"

/********************************************************
 * tape_null -- Handle I/O to /dev/null -- Really easy	*
 ********************************************************/
class tape_null : public raw_tape {
    public:
	// Constructor defaults
	// Copy constructor defaults
	// Assignment operator defaults
	// Destructor defaults
    public:
	int copy_to_mt(
	    const std::string& /* file_name */,
	    const int /* block_size */
	)
	{
	    return (0);
	}
	int copy_from_mt(
	    const std::string& /* file_name */,
	    const int /* block_size */
	)
	{
	    return (0);
	}
	int mt_open(const char* const file, const int line)
	{
	    log_msg(LOG_TAPE, std::string("mt_open(/dev/null): ") + file + ":" + 
			int_to_string(line));
	    return(0);
	}
	void mt_close(const char* const file, const int line)
	{
	    log_msg(LOG_TAPE, std::string("mt_close(/dev/null): ") + file + ":" + 
			int_to_string(line));
	    return;
	}
	int weof(void) { return(0);}
	int rewind(void) { return(0);}
	int asf(const int /* position */)  { return(0);}
	int eod(void) { return(0); }
	int bsfm(const unsigned int /* count */) { return(0); }
};

#endif /* __TAPE_NULL_H__ */
