/********************************************************
 * Generic and very useful types.			*
 ********************************************************/
#ifndef __TYPES_H__
#define __TYPES_H__
#include <string>
#include <vector>
#include <set>
#include <stdlib.h>

// An array of strings
typedef std::vector<std::string> string_vector;

// A set of strings
typedef std::set<std::string> string_set;

// Compare two C style strings
class cmp_c_string {
    public:
	bool operator() (
		const char* s1, const char* s2) const
	{
	    return (strcmp(s1, s2) < 0);
	}
};
// A set of C style strings
typedef std::set<const char*, cmp_c_string> c_string_set;

#endif /* __TYPES_H__ */
